## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.util
Class LibraryAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.util.LibraryAdapterFactory

    public class LibraryAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `LibraryPackage`
Generated:

Constructor Summary
`LibraryAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createBookAdapter()` Creates a new adapter for an object of class '`Book`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createLibraryAdapter()` Creates a new adapter for an object of class '`Library`'.
`Adapter` `createWriterAdapter()` Creates a new adapter for an object of class '`Writer`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryAdapterFactory

    public LibraryAdapterFactory()

  Creates an instance of the adapter factory.

  Generated:

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.
  Generated:

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  Generated:

### createLibraryAdapter

    public Adapter createLibraryAdapter()

  Creates a new adapter for an object of class '`Library`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Library`
  Generated:

### createWriterAdapter

    public Adapter createWriterAdapter()

  Creates a new adapter for an object of class '`Writer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Writer`
  Generated:

### createBookAdapter

    public Adapter createBookAdapter()

  Creates a new adapter for an object of class '`Book`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Book`
  Generated:

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  Generated: